This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 459406 - [enh] show mobile broadband signal strength
[enh] show mobile broadband signal strength
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-18 11:58 EDT by Paul Ross
Modified: 2010-05-13 14:02 EDT (History)
7 users (show)

See Also:
Fixed In Version: NetworkManager-0.8-5.git20100408
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-13 14:02:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Ross 2008-08-18 11:58:20 EDT
Description of problem:

If you take your laptop online using mobile 3G broadband (Auto GSM Network in NetworkManager) then the signal strength is not displayed. It is displayed for wireless networks, but not for GSM networks

Version-Release number of selected component (if applicable):


How reproducible:

100%

Steps to Reproduce:
1.Click on the NetworkManager icon in bottom left of desktop
2.Select "Auto GSM Connect" to connect to "mobile broadband"
3.Connect to the mobile broadband service
4.Note that you have an aerial icon, with signal strength not displayed
  
Actual results:

User is presented with an icon showing an aerial and no other information

Expected results:

Signal strength is displayed, as it is for wireless networks

Additional info:
Comment 1 John Poelstra 2008-09-08 23:09:49 EDT
which version of NetworkManager do you have installed?
Comment 2 Dan Williams 2008-09-09 12:44:19 EDT
NM does not pull signal strength from mobile broadband devices at this time.  Some devices aren't capable of providing it, or provide it over proprietary interfaces.  This is something that NM will attempt to do in the future however.
Comment 3 Bug Zapper 2008-11-25 21:48:36 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Thorsten Scherf 2009-10-20 04:36:07 EDT
do we have any updates on this?! 

NetworkManager-0.7.996-4.git20091002.fc12.i686 is still missing the signal strength feature for GSM networks.
Comment 5 Dan Williams 2010-05-13 14:02:07 EDT
Fixed in F13+ and in updates-testing for F12.

Note You need to log in before you can comment on or make changes to this bug.